Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet.jaxb.impl
Class XMLetsTypeImpl

    org.huihoo.jfox.xmlet.jaxb.impl.XMLetsTypeImpl

All Implemented Interfaces:
  XMLetsType

public class XMLetsTypeImpl
implements XMLetsType

Inner Class Summary
`class` | `XMLetsTypeImpl.Unmarshaller`

Field Summary
`protected com.sun.xml.bind.util.ListImpl` | `_XMLET`

Constructor Summary
`XMLetsTypeImpl()`

Method Summary
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.Class` | `getPrimaryInterfaceClass()`
`com.sun.xml.bind.unmarshaller.ContentHandlerEx` | `getUnmarshaller(com.sun.xml.bind.unmarshaller.UnmarshallingContext context)`
`java.util.List` | `getXMLET()`
`void` | `serializeAttributeBodies(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `serializeAttributes(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `serializeElements(com.sun.xml.bind.serializer.XMLSerializer context)`

Field Detail

### _XMLET

    protected com.sun.xml.bind.util.ListImpl _XMLET

Constructor Detail

### XMLetsTypeImpl

    public XMLetsTypeImpl()

Method Detail

### getXMLET

    public java.util.List getXMLET()

  Specified by:
    `getXMLET` in interface `XMLetsType`

### getUnmarshaller

    public com.sun.xml.bind.unmarshaller.ContentHandlerEx getUnmarshaller(com.sun.xml.bind.unmarshaller.UnmarshallingContext context)

### getPrimaryInterfaceClass

    public java.lang.Class getPrimaryInterfaceClass()

### serializeElements

    public void serializeElements(com.sun.xml.bind.serializer.XMLSerializer context)
                           throws org.xml.sax.SAXException

### serializeAttributes

    public void serializeAttributes(com.sun.xml.bind.serializer.XMLSerializer context)
                             throws org.xml.sax.SAXException

### serializeAttributeBodies

    public void serializeAttributeBodies(com.sun.xml.bind.serializer.XMLSerializer context)
                                  throws org.xml.sax.SAXException

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD